{ pkgs, crane }:

let
  rustVersion = pkgs.rust-bin.fromRustupToolchainFile (../rust-toolchain.toml);
  rustPlatform = pkgs.makeRustPlatform {
    cargo = rustVersion;
    rustc = rustVersion;
  };
  craneLib = (crane.mkLib pkgs).overrideToolchain rustVersion;
in
{
  inherit rustVersion rustPlatform craneLib;
}
